CREATE TABLE IF NOT EXISTS materie_primaria (
  id_materie_primaria int(11) NOT NULL,
  materia varchar(100) NOT NULL,
  ordine int(2) NOT NULL,
  utente varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table materie_primaria
--

INSERT INTO materie_primaria (id_materie_primaria, materia, ordine, utente) VALUES
(1, 'Lingua inglese', 3, ''),
(2, 'Tecnologia', 7, ''),
(3, 'Educazione fisica', 11, ''),
(4, 'Italiano', 1, ''),
(5, 'Storia', 4, ''),
(6, 'Geografia', 5, ''),
(7, 'Educazione civica', 8, ''),
(8, 'Matematica', 2, ''),
(9, 'Scienze', 6, ''),
(10, 'Musica', 10, ''),
(11, 'Arte e immagine', 9, '');


CREATE TABLE IF NOT EXISTS nuclei_valutazione_primaria (
  id_nuclei_valutazione_primaria int(11) NOT NULL AUTO_INCREMENT,
  materia varchar(100) NOT NULL,
  nucleo varchar(255) NOT NULL,
  utente varchar(100) NOT NULL,
  PRIMARY KEY (id_nuclei_valutazione_primaria)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS livelli_valutazione (
  id_livelli_valutazione int(11) NOT NULL AUTO_INCREMENT,
  livello varchar(50) NOT NULL,
  descrizione text NOT NULL,
  utente varchar(100) NOT NULL,
  PRIMARY KEY (id_livelli_valutazione)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS obiettivi_valutazione_primaria (
  id_obiettivi_valutazione_primaria int(11) NOT NULL AUTO_INCREMENT,
  id_nuclei_valutazione_primaria int(11) NOT NULL,
  classe int(1) NOT NULL,
  obiettivo text NOT NULL,
  id_periodi_didattici int(11) NOT NULL,
  utente varchar(100) NOT NULL,
  PRIMARY KEY (id_obiettivi_valutazione_primaria)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS periodi_didattici (
  id_periodi_didattici int(11) NOT NULL,
  descrizione varchar(255) NOT NULL,
  conclusivo tinyint(1) NOT NULL DEFAULT '0',
  vis_valutazioni tinyint(1) NOT NULL DEFAULT '0',
  utente varchar(100) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS giudizi_sintetici (
  id_giudizi_sintetici int(11) NOT NULL AUTO_INCREMENT,
  descrizione text NOT NULL,
  utente varchar(100) NOT NULL,
  giudizio varchar(50) NOT NULL,
  PRIMARY KEY (id_giudizi_sintetici)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS docenti_val_primaria (
  id_docenti_val_primaria int(11) NOT NULL AUTO_INCREMENT,
  docente varchar(100) NOT NULL,
  id_classi int(11) NOT NULL,
  hash varchar(32) NOT NULL,
  PRIMARY KEY (id_docenti_val_primaria)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS schede_val_primaria (
  id_schede_val_primaria int(11) NOT NULL AUTO_INCREMENT,
  cf varchar(16) NOT NULL,
  cod_classi varchar(100) NOT NULL,
  anno_scolastico varchar(9) NOT NULL,
  id_periodi_didattici int(11) NOT NULL,
  docente varchar(100) NOT NULL,
  `hash` varchar(32) NOT NULL,
  stato int(1) NOT NULL COMMENT '0:bozza;1:pubblicato',
  giudizio text NOT NULL,
  irc varchar(50) NOT NULL,
  comportamento varchar(50) NOT NULL,
  ammesso tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (id_schede_val_primaria)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS val_alunni_primaria (
  id_val_alunni_primaria int(11) NOT NULL AUTO_INCREMENT,
  id_schede_val_primaria int(11) NOT NULL,
  materia varchar(100) NOT NULL,
  id_obiettivi_valutazione_primaria int(11) NOT NULL,
  livello varchar(50) NOT NULL,
  PRIMARY KEY (id_val_alunni_primaria)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO permessi_utenti (nome, descrizione, commenti, ordinamento, sezione) VALUES
('super_valutazioni_primaria', 'Utente abilitato alla gestione delle valutazioni della scuola primaria', '', 27, 0);
INSERT INTO permessi_utenti (nome, descrizione, commenti, ordinamento, sezione) VALUES
('amm_valutazioni_primaria', 'Utente amministratore delle valutazioni della scuola primaria', '', 28, 0);

ALTER TABLE utenti ADD COLUMN super_valutazioni_primaria tinyint(1) NOT NULL DEFAULT '0' AFTER super_elezioni,
    ADD COLUMN   amm_valutazioni_primaria  tinyint(1) NOT NULL DEFAULT '0' AFTER super_valutazioni_primaria; 

ALTER TABLE generalinfo ADD COLUMN abil_schede_val tinyint(1) NOT NULL DEFAULT '0',
 ADD COLUMN id_tipo_doc_bes int(11) NOT NULL;

INSERT INTO aree (area, id_sezione_aree, attivo, blocco, titolo, auth, menu) VALUES
('Valutazioni scuola primaria', 3, 0, 0, 'Valutazioni scuola primaria', 'docente,super_valutazioni_primaria,genitore', 'menu_valutazioni_primaria.php');

UPDATE generalinfo SET versione='1.1' WHERE 1;


